Subject: [PATCH 0/2] PCI runtime power management for r8169 and e1000e

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 15 Mar 2010 01:31:59 +0100

Hi,

The following two patches add basic PCI runtime power management to the r8169
and e1000e drivers.

It works so that the adapter is put into PCI D3 if there's no network cable
attached to it and back into PCI D0 once the cable has been detected.

The feature is disabled by default and it can be enabled by writing "auto" to
the device's /sys/devices/.../power/control file.  Writing "on" to this file
disables the feature again.

The patches have been tested on MSI Wind U100 (r8169) and Toshiba Portege
R500 (e1000e).

Thanks,
Rafael